Skip to main content
GET
/
api
/
playground
/
sessions
/
{session_id}
/
profile
Get Column Profiles
curl --request GET \
  --url https://api.example.com/api/playground/sessions/{session_id}/profile \
  --header 'Authorization: Bearer <token>'
{
  "session_id": "<string>",
  "row_count": 123,
  "profiles": [
    {
      "name": "<string>",
      "dtype": "<string>",
      "null_count": 123,
      "null_ratio": 123,
      "unique_count": 123,
      "is_numeric": true,
      "is_categorical": true,
      "min": 123,
      "max": 123,
      "mean": 123,
      "std": 123,
      "p25": 123,
      "p50": 123,
      "p75": 123,
      "outlier_count": 123,
      "top_values": [],
      "quality_flags": []
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

session_id
string
required

Query Parameters

columns
string | null

Cookies

antidote_session
string | null

Response

Successful Response

session_id
string
required
row_count
integer
required
profiles
ColumnProfile · object[]
required